import { InjectionKey } from 'vue';
import type { Container, Abstract, Newable, ContainerBuilder } from 'diod';
import { VueDiodBuilder } from '../builder';
export declare const useVueDiod: () => {
    injectionKeyForClass: <T>(identifier: unknown) => InjectionKey<T>;
    injectServiceInstance: <T_1>(identifier: Abstract<T_1> | Newable<T_1>, fallback?: (() => T_1) | undefined) => T_1 | undefined;
    injectServiceGetter: <T_2>(identifier: Abstract<T_2> | Newable<T_2>, fallback?: (() => T_2) | undefined) => (() => T_2) | (() => undefined);
    injectFromContainer: <T_3>(identifier: Abstract<T_3> | Newable<T_3>, fallback?: T_3 | null | undefined, container?: Container) => T_3 | undefined;
    isRegistered: <T_4>(identifier: Abstract<T_4> | Newable<T_4>, builder?: VueDiodBuilder) => boolean;
    isProvided: <T_5>(identifier: Abstract<T_5> | Newable<T_5>) => boolean;
    getDefaultBuilder: () => ContainerBuilder | undefined;
    getDefaultContainer: () => Container | undefined;
};
